E-MailRelay

Classes | Namespaces | Functions
gsocketprotocol.cpp File Reference
`#include "gdef.h"`
`#include "glimits.h"`
`#include "gstringview.h"`
`#include "gcall.h"`
`#include "gtest.h"`
`#include "gtimer.h"`
`#include "gssl.h"`
`#include "gsocketprotocol.h"`
`#include "gstr.h"`
`#include "gassert.h"`
`#include "glog.h"`
`#include <memory>`
`#include <numeric>`
`#include <algorithm>`

Go to the source code of this file.

## Classes
class | GNet::SocketProtocolImp
| A pimple-pattern implementation class used by GNet::SocketProtocol. More...
struct | GNet::SocketProtocolImp::Position
| A pointer into the scatter/gather payload of GNet::SocketProtocolImp::send(). More...

## Namespaces
namespace | GNet
| Network classes.

## Functions
std::ostream & | GNet::operator<< (std::ostream &stream, SocketProtocolImp::State state)
std::ostream & | GNet::operator<< (std::ostream &stream, const SocketProtocolImp::Position &pos)
std::ostream & | GNet::operator<< (std::ostream &stream, const SocketProtocolImp::Segments &segments)